HanMacWrdJGraphInternal::FrameFormat Struct Reference

a frame format in HanMacWrdJGraph More...

## Public Member Functions

| FrameFormat ()
| constructor
void | addTo (MWAWGraphicStyle &style) const
| add property to frame extra values

## Public Attributes

MWAWGraphicStyle | m_style
| the graphic style
int | m_borderType
| the border type
double | m_intWrap [4]
| the interior wrap dim
double | m_extWrap [4]
| the exterior wrap dim

## Friends

std::ostream & | operator<< (std::ostream &o, FrameFormat const &frmt)
| operator<<

## Detailed Description

a frame format in HanMacWrdJGraph

## Constructor & Destructor Documentation

## FrameFormat()

HanMacWrdJGraphInternal::FrameFormat::FrameFormat | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## addTo()

void HanMacWrdJGraphInternal::FrameFormat::addTo | ( | MWAWGraphicStyle & | style | ) | const

inline

add property to frame extra values

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FrameFormat const & | frmt )

friend

operator<<

## Member Data Documentation

## m_borderType

int HanMacWrdJGraphInternal::FrameFormat::m_borderType

the border type

Referenced by addTo(), FrameFormat(), operator<<, and HanMacWrdJGraph::readFrames().

## m_extWrap

double HanMacWrdJGraphInternal::FrameFormat::m_extWrap[4]

the exterior wrap dim

Referenced by FrameFormat(), operator<<, and HanMacWrdJGraph::readFrames().

## m_intWrap

double HanMacWrdJGraphInternal::FrameFormat::m_intWrap[4]

the interior wrap dim

Referenced by FrameFormat(), operator<<, and HanMacWrdJGraph::readFrames().

## m_style

MWAWGraphicStyle HanMacWrdJGraphInternal::FrameFormat::m_style

the graphic style

Referenced by addTo(), FrameFormat(), operator<<, and HanMacWrdJGraph::readFrames().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx